Serialized Form


Package org.apache.struts

Class org.apache.struts.Globals extends java.lang.Object implements Serializable


Package org.apache.struts.action

Class org.apache.struts.action.ActionErrors extends ActionMessages implements Serializable

Class org.apache.struts.action.ActionForm extends java.lang.Object implements Serializable

Class org.apache.struts.action.ActionFormBean extends FormBeanConfig implements Serializable

Class org.apache.struts.action.ActionForward extends ForwardConfig implements Serializable

Class org.apache.struts.action.ActionMapping extends ActionConfig implements Serializable

Class org.apache.struts.action.ActionMessage extends java.lang.Object implements Serializable

Serialized Fields

key

java.lang.String key

The message key for this message.


values

java.lang.Object[] values

The replacement values for this mesasge.


resource

boolean resource

Indicates whether the key is taken to be as a bundle key [true] or literal value [false].

Class org.apache.struts.action.ActionMessages extends java.lang.Object implements Serializable

Serialized Fields

accessed

boolean accessed

Have the messages been retrieved from this object?

The controller uses this property to determine if session-scoped messages can be removed.

Since:
Struts 1.2

messages

java.util.HashMap<K,V> messages

The accumulated set of ActionMessage objects (represented as an ArrayList) for each property, keyed by property name.


iCount

int iCount

The current number of the property/key being added. This is used to maintain the order messages are added.

Class org.apache.struts.action.ActionMessages.ActionMessageItem extends java.lang.Object implements Serializable

Serialized Fields

list

java.util.List<E> list

The list of ActionMessages.


iOrder

int iOrder

The position in the list of messages.


property

java.lang.String property

The property associated with ActionMessage.

Class org.apache.struts.action.ActionRedirect extends ActionForward implements Serializable

Serialized Fields

parameterValues

java.util.Map<K,V> parameterValues

Holds the redirect parameters. Each entry is either a String or a String[] depending on whether it has one or more entries.


anchorValue

java.lang.String anchorValue

Holds the anchor value.

Class org.apache.struts.action.ActionServlet extends javax.servlet.http.HttpServlet implements Serializable

Serialized Fields

config

java.lang.String config

Comma-separated list of context-relative path(s) to our configuration resource(s) for the default module.


chainConfig

java.lang.String chainConfig

Comma-separated list of context or classloader-relative path(s) that contain the configuration for the default commons-chain catalog(s).


configDigester

org.apache.commons.digester.Digester configDigester

The Digester used to produce ModuleConfig objects from a Struts configuration file.

Since:
Struts 1.1

convertNull

boolean convertNull

The flag to request backwards-compatible conversions for form bean properties of the Java wrapper class types.

Since:
Struts 1.1

internal

MessageResources internal

The resources object for our internal resources.


internalName

java.lang.String internalName

The Java base name of our internal resources.

Since:
Struts 1.1

registrations

java.lang.String[] registrations

The set of public identifiers, and corresponding resource names, for the versions of the configuration file DTDs that we know about. There MUST be an even number of Strings in this list!


servletMapping

java.lang.String servletMapping

The URL pattern to which we are mapped in our web application deployment descriptor.


servletName

java.lang.String servletName

The servlet name under which we are registered in our web application deployment descriptor.

Class org.apache.struts.action.ActionServletWrapper extends java.lang.Object implements Serializable

Class org.apache.struts.action.DynaActionForm extends ActionForm implements Serializable

Serialized Fields

dynaClass

DynaActionFormClass dynaClass

The DynaActionFormClass with which we are associated.


dynaValues

java.util.HashMap<K,V> dynaValues

The set of property values for this DynaActionForm, keyed by property name.

Class org.apache.struts.action.DynaActionFormClass extends java.lang.Object implements Serializable

Serialized Fields

config

FormBeanConfig config

The form bean configuration information for this class.


name

java.lang.String name

The "dynamic class name" for this DynaClass.


properties

org.apache.commons.beanutils.DynaProperty[] properties

The set of dynamic properties that are part of this DynaClass.


propertiesMap

java.util.HashMap<K,V> propertiesMap

The set of dynamic properties that are part of this DynaClass, keyed by the property name. Individual descriptor instances will be the same instances as those in the properties list.

Class org.apache.struts.action.ForwardingActionForward extends ActionForward implements Serializable

Class org.apache.struts.action.InvalidCancelException extends java.lang.Exception implements Serializable

Class org.apache.struts.action.RedirectingActionForward extends ActionForward implements Serializable

Class org.apache.struts.action.RequestActionMapping extends ActionMapping implements Serializable

Class org.apache.struts.action.SessionActionMapping extends ActionMapping implements Serializable


Package org.apache.struts.apps.mailreader.dao

Class org.apache.struts.apps.mailreader.dao.ExpiredPasswordException extends java.lang.Exception implements Serializable


Package org.apache.struts.chain.commands

Class org.apache.struts.chain.commands.InvalidPathException extends java.lang.Exception implements Serializable

Serialized Fields

path

java.lang.String path
Field for Path property.

Class org.apache.struts.chain.commands.UnauthorizedActionException extends java.lang.Exception implements Serializable


Package org.apache.struts.config

Class org.apache.struts.config.ActionConfig extends BaseConfig implements Serializable

Serialized Fields

exceptions

java.util.HashMap<K,V> exceptions

The set of exception handling configurations for this action, if any, keyed by the type property.


forwards

java.util.HashMap<K,V> forwards

The set of local forward configurations for this action, if any, keyed by the name property.


moduleConfig

ModuleConfig moduleConfig

The module configuration with which we are associated.


attribute

java.lang.String attribute

The request-scope or session-scope attribute name under which our form bean is accessed, if it is different from the form bean's specified name.


actionId

java.lang.String actionId

The internal identification of this action mapping. Identifications are not inheritable and must be unique within a module.

Since:
Struts 1.3.6

inherit

java.lang.String inherit

The path of the ActionConfig that this object should inherit properties from.


cancellableSet

boolean cancellableSet
Indicates whether the "cancellable " property has been set or not.


cancellable

boolean cancellable

Can this Action be cancelled? [false]

By default, when an Action is cancelled, validation is bypassed and the Action should not execute the business operation. If a request tries to cancel an Action when cancellable is not set, a "InvalidCancelException" is thrown.


extensionProcessed

boolean extensionProcessed

Have the inheritance values for this class been applied?


forward

java.lang.String forward

Context-relative path of the web application resource that will process this request via RequestDispatcher.forward(), instead of instantiating and calling the Action class specified by "type". Exactly one of forward, include, or type must be specified.


include

java.lang.String include

Context-relative path of the web application resource that will process this request via RequestDispatcher.include(), instead of instantiating and calling the Action class specified by "type". Exactly one of forward, include, or type must be specified.


input

java.lang.String input

Context-relative path of the input form to which control should be returned if a validation error is encountered. Required if "name" is specified and the input bean returns validation errors.


multipartClass

java.lang.String multipartClass

Fully qualified Java class name of the MultipartRequestHandler implementation class used to process multi-part request data for this Action.


name

java.lang.String name

Name of the form bean, if any, associated with this Action.


parameter

java.lang.String parameter

General purpose configuration parameter that can be used to pass extra information to the Action instance selected by this Action. Struts does not itself use this value in any way.


path

java.lang.String path

Context-relative path of the submitted request, starting with a slash ("/") character, and omitting any filename extension if extension mapping is being used.


prefix

java.lang.String prefix

Prefix used to match request parameter names to form bean property names, if any.


roles

java.lang.String roles

Comma-delimited list of security role names allowed to request this Action.


roleNames

java.lang.String[] roleNames

The set of security role names used to authorize access to this Action, as an array for faster access.


scope

java.lang.String scope

Identifier of the scope ("request" or "session") within which our form bean is accessed, if any.


suffix

java.lang.String suffix

Suffix used to match request parameter names to form bean property names, if any.


type

java.lang.String type

Fully qualified Java class name of the Action class to be used to process requests for this mapping if the forward and include properties are not set. Exactly one of forward, include, or type must be specified.


unknown

boolean unknown

Indicates Action be configured as the default one for this module, when true.


validateSet

boolean validateSet
Indicates whether the "validate" property has been set or not.


validate

boolean validate

Should the validate() method of the form bean associated with this action be called?


command

java.lang.String command

The name of a commons-chain command which should be executed as part of the processing of this action.

Since:
Struts 1.3.0

catalog

java.lang.String catalog

The name of a commons-chain catalog in which command should be sought. If a command is defined and this property is undefined, the "default" catalog will be used. This is likely to be infrequently used after a future release of commons-chain supports a one-string expression of a catalog/chain combination.

Since:
Struts 1.3.0

Class org.apache.struts.config.ActionConfigMatcher extends java.lang.Object implements Serializable

Serialized Fields

compiledPaths

java.util.List<E> compiledPaths

The compiled paths and their associated ActionConfig's

Class org.apache.struts.config.BaseConfig extends java.lang.Object implements Serializable

Serialized Fields

configured

boolean configured
Indicates if configuration of this component been completed. TODO change protected to private and use methods provided by extenders?


properties

java.util.Properties properties
A map of arbitrary properties configured for this component.

Since:
Struts 1.3

Class org.apache.struts.config.ControllerConfig extends BaseConfig implements Serializable

Serialized Fields

bufferSize

int bufferSize

The input buffer size for file uploads.


contentType

java.lang.String contentType

The content type and character encoding to be set on each response.


catalog

java.lang.String catalog

The chain catalog name for this module.


command

java.lang.String command

The chain command to execute for each request.


forwardPattern

java.lang.String forwardPattern

The replacement pattern used to determine a context-relative URL from a ForwardConfig element. The pattern may consist of any combination of the following markers and characters:

If this property is set to null, a default pattern of $M$P is utilized, which is backwards compatible with the hard coded functionality in prior versions.


inputForward

boolean inputForward

Should the input property of ActionConfig instances associated with this module be treated as the name of a corresponding ForwardConfig. A false value treats them as a module-relative path (consistent with the hard coded behavior of earlier versions of Struts.

Since:
Struts 1.1

locale

boolean locale

Should we store a Locale object in the user's session if needed?


maxFileSize

java.lang.String maxFileSize

The maximum file size to process for file uploads.


memFileSize

java.lang.String memFileSize

The maximum file size to retain in memory.


multipartClass

java.lang.String multipartClass

The fully qualified Java class name of the MultipartRequestHandler class to be used.


nocache

boolean nocache

Should we set no-cache HTTP headers on each response?


pagePattern

java.lang.String pagePattern

The replacement pattern used to determine a context-relative URL from the page attribute of Struts tags and configuration properties. The pattern may consist of any combination of the following markers and characters:

If this property is set to null, a default pattern of $M$P is utilized, which is backwards compatible with the hard coded functionality in prior versions.


processorClass

java.lang.String processorClass

The fully qualified class name of the RequestProcessor implementation class to be used for this module.


tempDir

java.lang.String tempDir

The temporary working directory to use for file uploads.

Class org.apache.struts.config.ExceptionConfig extends BaseConfig implements Serializable

Serialized Fields

bundle

java.lang.String bundle
The servlet context attribute under which the message resources bundle to be used for this exception is located. If not set, the default message resources for the current module is assumed.


inherit

java.lang.String inherit
The type of the ExceptionConfig that this object should inherit properties from.


extensionProcessed

boolean extensionProcessed
Have the inheritance values for this class been applied?


handler

java.lang.String handler
The fully qualified Java class name of the exception handler class which should be instantiated to handle this exception.


key

java.lang.String key
The message resources key specifying the error message associated with this exception.


path

java.lang.String path
The module-relative path of the resource to forward to if this exception occurs during an Action.


scope

java.lang.String scope
The scope in which we should expose the ActionMessage for this exception handler.


type

java.lang.String type
The fully qualified Java class name of the exception that is to be handled by this handler.

Class org.apache.struts.config.FormBeanConfig extends BaseConfig implements Serializable

Serialized Fields

formProperties

java.util.HashMap<K,V> formProperties
The set of FormProperty elements defining dynamic form properties for this form bean, keyed by property name.


lock

java.lang.String lock

The lockable object we can synchronize on when creating DynaActionFormClass.


dynamic

boolean dynamic
Is the form bean class an instance of DynaActionForm with dynamic properties?


inherit

java.lang.String inherit
The name of the FormBeanConfig that this config inherits configuration information from.


extensionProcessed

boolean extensionProcessed
Have the inheritance values for this class been applied?


name

java.lang.String name
The unique identifier of this form bean, which is used to reference this bean in ActionMapping instances as well as for the name of the request or session attribute under which the corresponding form bean instance is created or accessed.


type

java.lang.String type
The fully qualified Java class name of the implementation class to be used or generated.


restricted

boolean restricted
Is this DynaClass currently restricted (for DynaBeans with a MutableDynaClass).

Class org.apache.struts.config.FormPropertyConfig extends BaseConfig implements Serializable

Serialized Fields

initial

java.lang.String initial
String representation of the initial value for this property.


name

java.lang.String name
The JavaBean property name of the property described by this element.


reset

java.lang.String reset

The conditions under which the property described by this element should be reset to its initial value when the form's reset method is called.

This may be set to true (to always reset the property) or a comma-separated list of HTTP request methods.

Since:
Struts 1.3

size

int size

The size of the array to be created if this property is an array type and there is no specified initial value. This value must be non-negative.

Since:
Struts 1.1

type

java.lang.String type
The fully qualified Java class name of the implementation class of this bean property, optionally followed by [] to indicate that the property is indexed.

Class org.apache.struts.config.ForwardConfig extends BaseConfig implements Serializable

Serialized Fields

inherit

java.lang.String inherit
The name of the ForwardConfig that this object should inherit properties from.


extensionProcessed

boolean extensionProcessed
Have the inheritance values for this class been applied?


name

java.lang.String name
The unique identifier of this forward, which is used to reference it in Action classes.


path

java.lang.String path

The URL to which this ForwardConfig entry points, which must start with a slash ("/") character. It is interpreted according to the following rules:


module

java.lang.String module

The prefix of the module to which this ForwardConfig entry points, which must start with a slash ("/") character.

Usage note: If a forward config is used in a hyperlink, and a module is specified, the path must lead to another action and not directly to a page. This is in keeping with rule that in a modular application all links must be to an action rather than a page.


redirect

boolean redirect
Should a redirect be used to transfer control to the specified path?


command

java.lang.String command

The name of a commons-chain command which should be looked up and executed before Struts dispatches control to the view represented by this config.


catalog

java.lang.String catalog

The name of a commons-chain catalog in which command should be looked up. If this value is undefined, then the command will be looked up in the "default" catalog. This value has no meaning except in the context of the command property.

Class org.apache.struts.config.MessageResourcesConfig extends BaseConfig implements Serializable

Serialized Fields

factory

java.lang.String factory
Fully qualified Java class name of the MessageResourcesFactory class we should use.


key

java.lang.String key
The servlet context attributes key under which this MessageResources instance is stored.


nullValue

boolean nullValue
Should we return null for unknown message keys?


escape

boolean escape
Indicates whether 'escape processing' should be performed on the error message string.


parameter

java.lang.String parameter
Parameter that is passed to the createResources() method of our MessageResourcesFactory implementation.

Class org.apache.struts.config.PlugInConfig extends java.lang.Object implements Serializable

Serialized Fields

configured

boolean configured
Has this component been completely configured?


properties

java.util.Map<K,V> properties
A Map of the name-value pairs that will be used to configure the property values of a PlugIn instance.


className

java.lang.String className
The fully qualified Java class name of the PlugIn implementation class being configured.


Package org.apache.struts.config.impl

Class org.apache.struts.config.impl.DefaultModuleConfigFactory extends ModuleConfigFactory implements Serializable

Class org.apache.struts.config.impl.ModuleConfigImpl extends BaseConfig implements Serializable

Serialized Fields

actionConfigs

java.util.HashMap<K,V> actionConfigs

The set of action configurations for this module, if any, keyed by the path property.


actionConfigIds

java.util.HashMap<K,V> actionConfigIds

The set of action configuration for this module, if any, keyed by the actionId property.


actionConfigList

java.util.List<E> actionConfigList

The set of action configurations for this module, if any, listed in the order in which they are added.


exceptions

java.util.HashMap<K,V> exceptions

The set of exception handling configurations for this module, if any, keyed by the type property.


formBeans

java.util.HashMap<K,V> formBeans

The set of form bean configurations for this module, if any, keyed by the name property.


forwards

java.util.HashMap<K,V> forwards

The set of global forward configurations for this module, if any, keyed by the name property.


messageResources

java.util.HashMap<K,V> messageResources

The set of message resources configurations for this module, if any, keyed by the key property.


plugIns

java.util.ArrayList<E> plugIns

The set of configured plug-in Actions for this module, if any, in the order they were declared and configured.


controllerConfig

ControllerConfig controllerConfig

The controller configuration object for this module.


prefix

java.lang.String prefix

The prefix of the context-relative portion of the request URI, used to select this configuration versus others supported by the controller servlet. A configuration with a prefix of a zero-length String is the default configuration for this web module.


actionFormBeanClass

java.lang.String actionFormBeanClass

The default class name to be used when creating action form bean instances.


actionMappingClass

java.lang.String actionMappingClass
The default class name to be used when creating action mapping instances.


actionForwardClass

java.lang.String actionForwardClass
The default class name to be used when creating action forward instances.


matcher

ActionConfigMatcher matcher

Matches action config paths against compiled wildcard patterns


Package org.apache.struts.faces.taglib

Class org.apache.struts.faces.taglib.JavascriptValidatorTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

Serialized Fields

bundle

java.lang.String bundle
The servlet context attribute key for our resources.


formName

java.lang.String formName
The name of the form that corresponds with the action name in struts-config.xml. Specifying a form name places a <script> </script> around the javascript.


page

int page
The current page number of a multi-part form. Only valid when the formName attribute is set.


methodName

java.lang.String methodName
This will be used as is for the JavaScript validation method name if it has a value. This is the method name of the main JavaScript method that the form calls to perform validations.


staticJavascript

java.lang.String staticJavascript
The static JavaScript methods will only be printed if this is set to "true".


dynamicJavascript

java.lang.String dynamicJavascript
The dynamic JavaScript objects will only be generated if this is set to "true".


src

java.lang.String src
The src attribute for html script element (used to include an external script resource). The src attribute is only recognized when the formName attribute is specified.


htmlComment

java.lang.String htmlComment
The JavaScript methods will enclosed with html comments if this is set to "true".


cdata

java.lang.String cdata
Hide JavaScript methods in a CDATA section for XHTML when "true".


htmlBeginComment

java.lang.String htmlBeginComment

htmlEndComment

java.lang.String htmlEndComment

formClientId

java.lang.String formClientId

Class org.apache.struts.faces.taglib.LoadMessagesTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

messages

java.lang.String messages

The name of the MessageResources to expose, or null for the default MessageResources for this application module.


var

java.lang.String var

The request attribute key under which a Map will be exposed.


Package org.apache.struts.mock

Class org.apache.struts.mock.MockActionServlet extends ActionServlet implements Serializable

Serialized Fields

servletContext

javax.servlet.ServletContext servletContext

servletConfig

javax.servlet.ServletConfig servletConfig

Class org.apache.struts.mock.MockFormBean extends ActionForm implements Serializable

Serialized Fields

throwException

boolean throwException

returnNulls

boolean returnNulls

defaultValue

java.lang.String defaultValue

defaultDouble

java.lang.Double defaultDouble

arrayCount

int arrayCount

booleanProperty

boolean booleanProperty

stringProperty

java.lang.String stringProperty

Package org.apache.struts.taglib.bean

Class org.apache.struts.taglib.bean.CookieTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

id

java.lang.String id
The name of the scripting variable that will be exposed as a page scope attribute.


multiple

java.lang.String multiple
Return an array of Cookies if multiple is non-null.


name

java.lang.String name
The name of the cookie whose value is to be exposed.


value

java.lang.String value
The default value to return if no cookie of the specified name is found.

Class org.apache.struts.taglib.bean.DefineTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

Serialized Fields

body

java.lang.String body
The body content of this tag (if any).


id

java.lang.String id
The name of the scripting variable that will be exposed as a page scope attribute.


name

java.lang.String name
The name of the bean owning the property to be exposed.


property

java.lang.String property
The name of the property to be retrieved.


scope

java.lang.String scope
The scope within which to search for the specified bean.


toScope

java.lang.String toScope
The scope within which the newly defined bean will be creatd.


type

java.lang.String type
The fully qualified Java class name of the value to be exposed.


value

java.lang.String value
The (String) value to which the defined bean will be set.

Class org.apache.struts.taglib.bean.HeaderTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

id

java.lang.String id
The name of the scripting variable that will be exposed as a page scope attribute.


multiple

java.lang.String multiple
Return an array of header values if multiple is non-null.


name

java.lang.String name
The name of the header whose value is to be exposed.


value

java.lang.String value
The default value to return if no header of the specified name is found.

Class org.apache.struts.taglib.bean.IncludeTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

anchor

java.lang.String anchor
The anchor to be added to the end of the generated hyperlink.


forward

java.lang.String forward
The name of the global ActionForward that contains a path to our requested resource.


href

java.lang.String href
The absolute URL to the resource to be included.


id

java.lang.String id
The name of the scripting variable that will be exposed as a page scope attribute.


page

java.lang.String page
The context-relative URI of the page or servlet to be included.


transaction

boolean transaction
Include transaction token (if any) in the hyperlink?


useLocalEncoding

boolean useLocalEncoding

Class org.apache.struts.taglib.bean.MessageTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

arg0

java.lang.String arg0
The first optional argument.


arg1

java.lang.String arg1
The second optional argument.


arg2

java.lang.String arg2
The third optional argument.


arg3

java.lang.String arg3
The fourth optional argument.


arg4

java.lang.String arg4
The fifth optional argument.


bundle

java.lang.String bundle
The servlet context attribute key for our resources.


key

java.lang.String key
The message key of the message to be retrieved.


name

java.lang.String name
Name of the bean that contains the message key.


property

java.lang.String property
Name of the property to be accessed on the specified bean.


scope

java.lang.String scope
The scope to be searched to retrieve the specified bean.


localeKey

java.lang.String localeKey
The session scope key under which our Locale is stored.

Class org.apache.struts.taglib.bean.PageTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

id

java.lang.String id
The name of the scripting variable that will be exposed as a page scope attribute.


property

java.lang.String property
The name of the page context property to be retrieved.

Class org.apache.struts.taglib.bean.ParameterTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

id

java.lang.String id
The name of the scripting variable that will be exposed as a page scope attribute.


multiple

java.lang.String multiple
Return an array of parameter values if multiple is non-null.


name

java.lang.String name
The name of the parameter whose value is to be exposed.


value

java.lang.String value
The default value to return if no parameter of the specified name is found.

Class org.apache.struts.taglib.bean.ResourceTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

id

java.lang.String id
The name of the scripting variable that will be exposed as a page scope attribute.


input

java.lang.String input
Return an InputStream to the specified resource if this is non-null.


name

java.lang.String name
The module-relative URI of the resource whose contents are to be exposed.

Class org.apache.struts.taglib.bean.SizeTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

collection

java.lang.Object collection
The actual collection to be counted.


id

java.lang.String id
The name of the scripting variable that will be exposed as a page scope attribute.


name

java.lang.String name
The name of the bean owning the property to be counted.


property

java.lang.String property
The name of the property to be retrieved.


scope

java.lang.String scope
The scope within which to search for the specified bean.

Class org.apache.struts.taglib.bean.StrutsTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

id

java.lang.String id
The name of the scripting variable that will be exposed as a page scope attribute.


formBean

java.lang.String formBean
The name of the ActionFormBean object to be exposed.


forward

java.lang.String forward
The name of the ActionForward object to be exposed.


mapping

java.lang.String mapping
The name of the ActionMapping object to be exposed.

Class org.apache.struts.taglib.bean.WriteTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

filter

boolean filter
Filter the rendered output for characters that are sensitive in HTML?


ignore

boolean ignore
Should we ignore missing beans and simply output nothing?


name

java.lang.String name
Name of the bean that contains the data we will be rendering.


property

java.lang.String property
Name of the property to be accessed on the specified bean.


scope

java.lang.String scope
The scope to be searched to retrieve the specified bean.


formatStr

java.lang.String formatStr
The format string to be used as format to convert value to String.


formatKey

java.lang.String formatKey
The key to search format string in applciation resources


localeKey

java.lang.String localeKey
The session scope key under which our Locale is stored.


bundle

java.lang.String bundle
The servlet context attribute key for our resources.


Package org.apache.struts.taglib.html

Class org.apache.struts.taglib.html.BaseFieldTag extends BaseInputTag implements Serializable

Serialized Fields

accept

java.lang.String accept
Comma-delimited list of content types that a server processing this form will handle correctly. This property is defined only for the file tag, but is implemented here because it affects the rendered HTML of the corresponding <input> tag.


redisplay

boolean redisplay
The "redisplay contents" flag (used only on password).


type

java.lang.String type
The type of input field represented by this tag (text, password, or hidden).

Class org.apache.struts.taglib.html.BaseHandlerTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

Serialized Fields

accesskey

java.lang.String accesskey
Access key character.


tabindex

java.lang.String tabindex
Tab index value.


indexed

boolean indexed
Whether to created indexed names for fields

Since:
Struts 1.1

onclick

java.lang.String onclick
Mouse click event.


ondblclick

java.lang.String ondblclick
Mouse double click event.


onmouseover

java.lang.String onmouseover
Mouse over component event.


onmouseout

java.lang.String onmouseout
Mouse exit component event.


onmousemove

java.lang.String onmousemove
Mouse moved over component event.


onmousedown

java.lang.String onmousedown
Mouse pressed on component event.


onmouseup

java.lang.String onmouseup
Mouse released on component event.


onkeydown

java.lang.String onkeydown
Key down in component event.


onkeyup

java.lang.String onkeyup
Key released in component event.


onkeypress

java.lang.String onkeypress
Key down and up together in component event.


onselect

java.lang.String onselect
Text selected in component event.


onchange

java.lang.String onchange
Content changed after component lost focus event.


onblur

java.lang.String onblur
Component lost focus event.


onfocus

java.lang.String onfocus
Component has received focus event.


disabled

boolean disabled
Component is disabled.


doDisabled

boolean doDisabled
Indicates whether 'disabled' is a valid attribute


readonly

boolean readonly
Component is readonly.


doReadonly

boolean doReadonly

Indicates whether 'readonly' is a valid attribute.

According to the HTML 4.0 Specification <readonly> is valid for <input type="text">, <input type="password"> and <textarea"> elements. Therefore, except for those tags this value is set to false.


style

java.lang.String style
Style attribute associated with component.


styleClass

java.lang.String styleClass
Named Style class associated with component.


styleId

java.lang.String styleId
Identifier associated with component.


errorKey

java.lang.String errorKey
The request attribute key for our error messages (if any).


errorStyle

java.lang.String errorStyle
Style attribute associated with component when errors exist.


errorStyleClass

java.lang.String errorStyleClass
Named Style class associated with component when errors exist.


errorStyleId

java.lang.String errorStyleId
Identifier associated with component when errors exist.


alt

java.lang.String alt
The alternate text of this element.


altKey

java.lang.String altKey
The message resources key of the alternate text.


bundle

java.lang.String bundle
The name of the message resources bundle for message lookups.


locale

java.lang.String locale
The name of the session attribute key for our locale.


title

java.lang.String title
The advisory title of this element.


lang

java.lang.String lang
The language code of this element.


dir

java.lang.String dir
The direction for weak/neutral text of this element.


titleKey

java.lang.String titleKey
The message resources key of the advisory title.


loopTagClass

java.lang.Class<T> loopTagClass

loopTagGetStatus

java.lang.reflect.Method loopTagGetStatus

loopTagStatusClass

java.lang.Class<T> loopTagStatusClass

loopTagStatusGetIndex

java.lang.reflect.Method loopTagStatusGetIndex

triedJstlInit

boolean triedJstlInit

triedJstlSuccess

boolean triedJstlSuccess

Class org.apache.struts.taglib.html.BaseInputTag extends BaseHandlerTag implements Serializable

Serialized Fields

cols

java.lang.String cols
The number of character columns for this field, or negative for no limit.


maxlength

java.lang.String maxlength
The maximum number of characters allowed, or negative for no limit.


property

java.lang.String property
The name of the field (and associated property) being processed.


rows

java.lang.String rows
The number of rows for this field, or negative for no limit.


value

java.lang.String value
The value for this field, or null to retrieve the corresponding property from our associated bean.


name

java.lang.String name
The name of the bean containing our underlying property.

Class org.apache.struts.taglib.html.BaseTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

REF_SITE

java.lang.String REF_SITE

REF_PAGE

java.lang.String REF_PAGE

server

java.lang.String server
The server name to use instead of request.getServerName().


target

java.lang.String target
The target window for this base reference.


ref

java.lang.String ref
The reference to which the base will created.

Class org.apache.struts.taglib.html.ButtonTag extends SubmitTag implements Serializable

Class org.apache.struts.taglib.html.CancelTag extends SubmitTag implements Serializable

Class org.apache.struts.taglib.html.CheckboxTag extends BaseHandlerTag implements Serializable

Serialized Fields

name

java.lang.String name
The name of the bean containing our underlying property.


property

java.lang.String property
The property name for this field.


text

java.lang.String text
The body content of this tag (if any).


value

java.lang.String value
The server value for this option.

Class org.apache.struts.taglib.html.ErrorsTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

bundle

java.lang.String bundle
The servlet context attribute key for our resources.


locale

java.lang.String locale
The session attribute key for our locale.


name

java.lang.String name
The request attribute key for our error messages (if any).


property

java.lang.String property
The name of the property for which error messages should be returned, or null to return all errors.


header

java.lang.String header
The message resource key for errors header.


footer

java.lang.String footer
The message resource key for errors footer.


prefix

java.lang.String prefix
The message resource key for errors prefix.


suffix

java.lang.String suffix
The message resource key for errors suffix.

Class org.apache.struts.taglib.html.FileTag extends BaseFieldTag implements Serializable

Class org.apache.struts.taglib.html.FormTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

action

java.lang.String action
The action URL to which this form should be submitted, if any.


postbackAction

java.lang.String postbackAction
A postback action URL to which this form should be submitted, if any.


moduleConfig

ModuleConfig moduleConfig
The module configuration for our module.


enctype

java.lang.String enctype
The content encoding to be used on a POST submit.


focus

java.lang.String focus
The name of the field to receive focus, if any.


focusIndex

java.lang.String focusIndex
The index in the focus field array to receive focus. This only applies if the field given in the focus attribute is actually an array of fields. This allows a specific field in a radio button array to receive focus while still allowing indexed field names like "myRadioButtonField[1]" to be passed in the focus attribute.

Since:
Struts 1.1

mapping

ActionMapping mapping
The ActionMapping defining where we will be submitting this form


method

java.lang.String method
The request method used when submitting this form.


onreset

java.lang.String onreset
The onReset event script.


onsubmit

java.lang.String onsubmit
The onSubmit event script.


scriptLanguage

boolean scriptLanguage
Include language attribute in the focus script's <script> element. This property is ignored in XHTML mode.

Since:
Struts 1.2

servlet

ActionServlet servlet
The ActionServlet instance we are associated with (so that we can initialize the servlet property on any form bean that we create).


style

java.lang.String style
The style attribute associated with this tag.


styleClass

java.lang.String styleClass
The style class associated with this tag.


styleId

java.lang.String styleId
The identifier associated with this tag.


target

java.lang.String target
The window target.


beanName

java.lang.String beanName
The name of the form bean to (create and) use. This is either the same as the 'name' attribute, if that was specified, or is obtained from the associated ActionMapping otherwise.


beanScope

java.lang.String beanScope
The scope of the form bean to (create and) use. This is either the same as the 'scope' attribute, if that was specified, or is obtained from the associated ActionMapping otherwise.


beanType

java.lang.String beanType
The type of the form bean to (create and) use. This is either the same as the 'type' attribute, if that was specified, or is obtained from the associated ActionMapping otherwise.


acceptCharset

java.lang.String acceptCharset
The list of character encodings for input data that the server should accept.


disabled

boolean disabled
Controls whether child controls should be 'disabled'.


readonly

boolean readonly
Controls whether child controls should be 'readonly'.


lang

java.lang.String lang
The language code of this element.


dir

java.lang.String dir
The direction for weak/neutral text of this element.

Class org.apache.struts.taglib.html.FrameTag extends LinkTag implements Serializable

Serialized Fields

frameborder

java.lang.String frameborder
The frameborder attribute that should be rendered (1, 0).


frameName

java.lang.String frameName
The name attribute that should be rendered for this frame.


longdesc

java.lang.String longdesc
URI of a long description of this frame (complements title).


marginheight

java.lang.Integer marginheight
The margin height in pixels, or zero for no setting.


marginwidth

java.lang.Integer marginwidth
The margin width in pixels, or null for no setting.


noresize

boolean noresize
Should users be disallowed to resize the frame?


scrolling

java.lang.String scrolling
What type of scrolling should be supported (yes, no, auto)?

Class org.apache.struts.taglib.html.HiddenTag extends BaseFieldTag implements Serializable

Serialized Fields

write

boolean write
Should the value of this field also be rendered to the response?

Class org.apache.struts.taglib.html.HtmlTag extends javax.servlet.jsp.tagext.TagSupport implements Serializable

Serialized Fields

xhtml

boolean xhtml
Are we rendering an xhtml page?


lang

boolean lang
Are we rendering a lang attribute?

Since:
Struts 1.2

Class org.apache.struts.taglib.html.ImageTag extends SubmitTag implements Serializable

Serialized Fields

align

java.lang.String align
The alignment for this image.


border

java.lang.String border
The border size around the image.


page

java.lang.String page
The module-relative URI of the image.


pageKey

java.lang.String pageKey
The message resources key of the module-relative URI of the image.


src

java.lang.String src
The URL of this image.


srcKey

java.lang.String srcKey
The message resources key for the URL of this image.


module

java.lang.String module
The module prefix (beginning with a slash) which will be used to find the action for this link.

Class org.apache.struts.taglib.html.ImgTag extends BaseHandlerTag implements Serializable

Serialized Fields

align

java.lang.String align
The property to specify where to align the image.


border

java.lang.String border
The border size around the image.


height

java.lang.String height
The image height.


hspace

java.lang.String hspace
The horizontal spacing around the image.


imageName

java.lang.String imageName
The image name for named images.


ismap

java.lang.String ismap
Server-side image map declaration.


name

java.lang.String name
The JSP bean name for query parameters.


page

java.lang.String page
The module-relative path, starting with a slash character, of the image to be displayed by this rendered tag.


pageKey

java.lang.String pageKey
The message resources key under which we should look up the page attribute for this generated tag, if any.


action

java.lang.String action
The module-relative action (beginning with a slash) which will be used as the source for this image.


module

java.lang.String module
The module prefix (beginning with a slash) which will be used to find the action for this link.


paramId

java.lang.String paramId
In situations where an image is dynamically generated (such as to create a chart graph), this specifies the single-parameter request parameter name to generate.


paramName

java.lang.String paramName
The single-parameter JSP bean name.


paramProperty

java.lang.String paramProperty
The single-parameter JSP bean property.


paramScope

java.lang.String paramScope
The single-parameter JSP bean scope.


property

java.lang.String property
The JSP bean property name for query parameters.


scope

java.lang.String scope
The scope of the bean specified by the name property, if any.


src

java.lang.String src
The image source URI.


srcKey

java.lang.String srcKey
The message resources key under which we should look up the src attribute for this generated tag, if any.


usemap

java.lang.String usemap
Client-side image map declaration.


vspace

java.lang.String vspace
The vertical spacing around the image.


width

java.lang.String width
The image width.


useLocalEncoding

boolean useLocalEncoding

Class org.apache.struts.taglib.html.JavascriptValidatorTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

Serialized Fields

bundle

java.lang.String bundle
The servlet context attribute key for our resources.


formName

java.lang.String formName
The name of the form that corresponds with the action name in struts-config.xml. Specifying a form name places a <script> </script> around the javascript.


jsFormName

java.lang.String jsFormName
formName is used for both Javascript and non-javascript validations. For the javascript validations, there is the possibility that we will be rewriting the formName (if it is a ValidatorActionForm instead of just a ValidatorForm) so we need another variable to hold the formName just for javascript usage.


page

int page
The current page number of a multi-part form. Only valid when the formName attribute is set.


methodName

java.lang.String methodName
This will be used as is for the JavaScript validation method name if it has a value. This is the method name of the main JavaScript method that the form calls to perform validations.


scriptLanguage

boolean scriptLanguage
Include language attribute in the <script> element. This property is ignored in XHTML mode.

Since:
Struts 1.2

staticJavascript

java.lang.String staticJavascript
The static JavaScript methods will only be printed if this is set to "true".


dynamicJavascript

java.lang.String dynamicJavascript
The dynamic JavaScript objects will only be generated if this is set to "true".


src

java.lang.String src
The src attribute for html script element (used to include an external script resource). The src attribute is only recognized when the formName attribute is specified.


htmlComment

java.lang.String htmlComment
The JavaScript methods will enclosed with html comments if this is set to "true".


cdata

java.lang.String cdata
Hide JavaScript methods in a CDATA section for XHTML when "true".

Class org.apache.struts.taglib.html.LinkTag extends BaseHandlerTag implements Serializable

Serialized Fields

text

java.lang.String text
The body content of this tag (if any).


anchor

java.lang.String anchor
The anchor to be added to the end of the generated hyperlink.


forward

java.lang.String forward

The logical forward name from which to retrieve the hyperlink URI.

Usage note: If a forward config is used in a hyperlink, and a module is specified, the path must lead to another action and not directly to a page. This is in keeping with rule that in a modular application all links must be to an action rather than a page.


href

java.lang.String href
The hyperlink URI.


linkName

java.lang.String linkName
The link name for named links.


name

java.lang.String name
The JSP bean name for query parameters.


page

java.lang.String page
The module-relative page URL (beginning with a slash) to which this hyperlink will be rendered.


action

java.lang.String action
The module-relative action (beginning with a slash) which will be called by this link


module

java.lang.String module
The module prefix (beginning with a slash) which will be used to find the action for this link.


paramId

java.lang.String paramId
The single-parameter request parameter name to generate.


paramName

java.lang.String paramName
The single-parameter JSP bean name.


paramProperty

java.lang.String paramProperty
The single-parameter JSP bean property.


paramScope

java.lang.String paramScope
The single-parameter JSP bean scope.


property

java.lang.String property
The JSP bean property name for query parameters.


scope

java.lang.String scope
The scope of the bean specified by the name property, if any.


target

java.lang.String target
The window target.


transaction

boolean transaction
Include transaction token (if any) in the hyperlink?


parameters

java.util.Map<K,V> parameters
Additional parameters included programatically.


indexId

java.lang.String indexId
Name of parameter to generate to hold index number


useLocalEncoding

boolean useLocalEncoding

Class org.apache.struts.taglib.html.MessagesTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

Serialized Fields

iterator

java.util.Iterator<E> iterator
Iterator of the elements of this error collection, while we are actually running.


processed

boolean processed
Whether or not any error messages have been processed.


id

java.lang.String id
The name of the scripting variable to be exposed.


bundle

java.lang.String bundle
The servlet context attribute key for our resources.


locale

java.lang.String locale
The session attribute key for our locale.


name

java.lang.String name
The request attribute key for our error messages (if any).


property

java.lang.String property
The name of the property for which error messages should be returned, or null to return all errors.


header

java.lang.String header
The message resource key for errors header.


footer

java.lang.String footer
The message resource key for errors footer.


message

java.la